data{
    int<lower=1> N;
    int SUC[N];
    int TRIAL[N];
    int AGE1[N];
    int AGE2[N];
    real INMIGRANT[N];
    int MALE[N];
    int COMM_TYPE_F[N];
}
parameters{
    real a;
    real fishing;
    real inmigrant;
    real male;
    real age1;
    real age2;
}
model{
    vector[N] p_seq;
    age2 ~ normal( 0 , 10 );
    age1 ~ normal( 0 , 10 );
    male ~ normal( 0 , 10 );
    inmigrant ~ normal( 0 , 10 );
    fishing ~ normal( 0 , 10 );
    a ~ normal( 0 , 100 );
    for ( i in 1:N ) {
        p_seq[i] = a + fishing * COMM_TYPE_F[i] + inmigrant * INMIGRANT[i] + male * MALE[i] + age1 * AGE1[i] + age2 * AGE2[i];
    }
    SUC ~ binomial_logit( TRIAL , p_seq );
}
